package main

import (
	"github.com/awesome-gocui/gocui"
	"log"
	"os"
)

func main() {
	g, err := gocui.NewGui(gocui.OutputNormal, false)
	if err != nil {
		log.Panicln(err)
		os.Exit(1)
	}
	defer g.Close()
	g.SetKeybinding("", gocui.KeyCtrlC, gocui.ModNone, quit)

	g.Cursor = false
	g.Mouse = false
	g.BgColor = gocui.ColorBlack
	g.FgColor = gocui.ColorWhite

	g.SetManagerFunc(mainMenu)
	//mmWindow.SetStatus(widgets.StatusAlert, "hello?")

	if err := keybindings(g); err != nil {
		log.Panicln(err)
		os.Exit(1)
	}

	if err := g.MainLoop(); err != nil && err != gocui.ErrQuit {
		log.Panicln(err)
		os.Exit(1)
	}

}

func keybindings(g *gocui.Gui) error {
	if err := g.SetKeybinding("", gocui.KeyCtrlC, gocui.ModNone, quit); err != nil {
		return err
	}
	return nil
}

func quit(g *gocui.Gui, v *gocui.View) error {
	return gocui.ErrQuit
}
